<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core" xmlns:c="http://java.sun.com/jsp/jstl/core">
<body>
<ui:composition>
    <c:set var="pageUrl"
           value="#{request.contextPath}/#{languageBean.lang}/catalogue/#{currentCatalogBean.catalogName}/#{facesContext.viewRoot.viewId.substring(1,facesContext.viewRoot.viewId.length()-6)}"
           scope="request"/>
    <h:panelGroup id="pagination" rendered="#{datasetPagingBean.dataList.size() gt 0}">
        <div role="navigation">
            <ul class="pagination pull-right">
                <li class="#{datasetPagingBean.firstRow != 0 ? '' : 'disabled'}">
                    <h:outputLink id="paginationFirst" disabled="#{datasetPagingBean.firstRow == 0}">
                        <span class="glyphicon glyphicon-step-backward"/>
                        <f:param name="page" value="1"/>
                    </h:outputLink>
                </li>

                <li class="#{datasetPagingBean.firstRow != 0 ? '' : 'disabled'}">
                    <h:outputLink id="paginationPreviews" disabled="#{datasetPagingBean.firstRow == 0}">
                        <span class="glyphicon glyphicon-backward"/>
                        <f:param name="page" value="#{datasetPagingBean.currentPage - 1}"/>
                    </h:outputLink>
                </li>

                <ui:repeat value="#{datasetPagingBean.pages}" var="page">
                    <li class="#{page == datasetPagingBean.currentPage ? 'active' : ''}">
                        <h:outputLink id="paginationPage-#{page}" value="${pageUrl}"
                                      disabled="#{page == datasetPagingBean.currentPage}">
                            <h:outputText value="#{page}"/>
                            <f:param name="page" value="#{page}"/>
                        </h:outputLink>
                    </li>
                </ui:repeat>

                <li class="#{datasetPagingBean.firstRow + datasetPagingBean.rowsPerPage ge
                                            datasetPagingBean.totalRows ? 'disabled' : ''}">
                    <h:outputLink id="paginationNext" disabled="#{datasetPagingBean.firstRow + datasetPagingBean.rowsPerPage ge
                                            datasetPagingBean.totalRows}">
                        <span class="glyphicon glyphicon-forward"/>
                        <f:param name="page" value="#{datasetPagingBean.currentPage + 1}"/>
                    </h:outputLink>
                </li>

                <li class="#{datasetPagingBean.firstRow + datasetPagingBean.rowsPerPage ge
                                            datasetPagingBean.totalRows ? 'disabled' : ''}">
                    <h:outputLink id="paginationLast" disabled="#{datasetPagingBean.firstRow + datasetPagingBean.rowsPerPage ge
                                            datasetPagingBean.totalRows}">
                        <span class="glyphicon glyphicon-fast-forward"/>
                        <f:param name="page" value="#{datasetPagingBean.totalPages}"/>
                    </h:outputLink>
                </li>

                <li class="disabled">
                    <h:outputLink id="paginationNoContent"
                                  disabled="true">#{msg['common.page']} #{datasetPagingBean.currentPage} /
                        #{datasetPagingBean.totalPages}</h:outputLink>
                </li>
            </ul>
        </div>
    </h:panelGroup>
</ui:composition>
</body>
</html>
